GETPGRP(2)

NAME
getpgrp - get process group

SYNOPSIS
pgrp = getpgrp(pid)
int pgrp;
int pid;

DESCRIPTION
The process group of the specified process is returned by getpgrp. If pid is zero, then the call applies to the current process.

Process groups are used for distribution of signals, and by terminals to arbitrate requests for their input: processes that have the same process group as the terminal are foreground and may read, while others will block with a signal if they attempt to read.

This call is thus used by programs such as csh(1) to create process groups in implementing job control. The TIOCGPGRP and TIOCSPGRP calls described in tty(4) are used to get/set the process group of the control terminal.

SEE ALSO
setpgrp(2), getuid(2), tty(4)